ServerEvents.recipes(e =>{
	let id = `rd:mc/blocks`
	const item = {
		iron_nugget: 'minecraft:iron_nugget',
		TagIron: '#c:ingots/iron',
		TagPlanks: '#minecraft:planks',
		TagCobblestone: '#c:cobblestones',
		TagWood: "#minecraft:logs",
	}
	const recipes = {
		'minecraft:chain': {
			output: 10,
			pattern:[
				[null, item.iron_nugget, null],
				[null, item.TagIron    , null],
				[null, item.iron_nugget, null]
			],
		},
		'minecraft:smithing_table': {
			output: 1,
			pattern:[
				[item.TagPlanks     ,item.TagCobblestone,null],
				[item.TagCobblestone,item.TagPlanks     ,null],
				[null               ,null               ,null]
			],
		},
		'minecraft:hopper': {
			output: 1,
			pattern:[
				[item.TagIron,item.TagWood,item.TagIron],
				[item.TagIron,item.TagWood,item.TagIron],
				[null        ,item.TagIron,null        ]
			],
		},
	}
	for(let key in recipes)
	{
        let ckey = key.replace(":","/")
		consturctRecipeShaped(e, `${key}`, recipes[key], `${id}/${ckey}`);
	}
})

